| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ZIP_central_directory_file_header Struct Reference

List of all members.

## Public Attributes
ush | compression_method
u32 | crc32
u32 | csize
ush | disk_number_start
u32 | external_file_attributes
ush | extra_field_length
ush | file_comment_length
ush | filename_length
ush | general_purpose_bit_flag
ush | internal_file_attributes
ush | last_mod_file_date
ush | last_mod_file_time
u32 | relative_offset_local_header
u32 | ucsize
uch | version_made_by [2]
uch | version_needed_to_extract [2]

## Detailed Description

Definition at line 72 of file zip.h.

The documentation for this struct was generated from the following file:

- csutil/zip.h